///////////////////////////////////////////////////////////////
/// DlgUnits.h: interface for the MSKDialogUnits class.
///////////////////////////////////////////////////////////////

#if !defined(DLGUNITS_H_INCLUDED_)
#define DLGUNITS_H_INCLUDED_
class MSKDialogUnits  
{
 private:
   WORD m_duXx4;        // Dialog Units, on the X axis, times 4
   WORD m_duYx8;        // Dialog Units, on the Y axis, times 8
 public:
   MSKDialogUnits() 
   {
        DWORD dw = GetDialogBaseUnits();
        m_duXx4          = LOWORD(dw);
        m_duYx8          = HIWORD(dw);
   }
   ~MSKDialogUnits() {};
   int X(int x) {return ((x * m_duXx4) /4);}
   int Y(int y) {return ((y * m_duYx8) /8);}
 };
#endif // !defined(DLGUNITS_H_INCLUDED__)
     
