//------------------------------------------------------------------
//  ICMP.h - Derfinitions for the Windows ICMP API. Ton Plooy 1997
//------------------------------------------------------------------

#pragma pack(1)

typedef struct _PINGOPT {       // Ping options
    BYTE    bTTL;               // Time To Live
    BYTE    bTOS;               // Type Of Service
    BYTE    bFlags;             // IP header flags
    BYTE    bOptSize;           // Options size
    PBYTE   pOptData;           // Options data
} PINGOPT;

typedef struct _PONGHDR {       // Reply data
    DWORD   dwIP;               // IP address
    DWORD   dwError;            // Return code
    DWORD   dwTime;             // Reply time
    WORD    wDataLen;           // Data length
    WORD    wReserved;          //
    DWORD   lpData;             // Pointer to data
    PINGOPT Option;             // Options
} PONGHDR;

#pragma pack()

HANDLE WINAPI IcmpCreateFile(void);
DWORD  WINAPI IcmpSendEcho(HANDLE hHandle, DWORD dwIp,
                     LPSTR pInBuf, DWORD cbInBuf,
                     LPSTR lpOptions, LPSTR pOutBuf,
                     DWORD cbOutBuf, DWORD dwTimeout);
DWORD  WINAPI IcmpCloseHandle(HANDLE hHandle);
